Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Desktop-Effects Compiz Fusion 0.7.6 ebuild problem
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
dman777
l33t
l33t


Joined: 10 Jan 2007
Posts: 982

PostPosted: Mon Sep 29, 2008 3:46 pm    Post subject: Desktop-Effects Compiz Fusion 0.7.6 ebuild problem Reply with quote

I am trying to install Compiz Fusion 0.7.6 but I get this error when doing so(emerge -v =compiz-fusion-0.7.6). It looks like it is looking for compiz-fusion-0.7.6-r1 instead of compiz-fusion-0.7.6:

Code:
 
Total: 8 packages (8 upgrades), Size of downloads: 3,210 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/layman/desktop-effects

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 8) x11-wm/compiz-0.7.6-r1
 * compiz-0.7.6.tar.gz RMD160 SHA1 SHA256 size ;-) ...                   [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
>>> Unpacking source...
>>> Unpacking compiz-0.7.6.tar.gz to /var/tmp/portage/x11-wm/compiz-0.7.6-r1/wor
 * Applying compiz-no-gconf.patch ...

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 * /usr/portage/local/layman/desktop-effects/x11-wm/compiz/files/compiz-drop-xcb
 * ( compiz-drop-xcb.patch )

 *
 * ERROR: x11-wm/compiz-0.7.6-r1 failed.
 * Call stack:
 * ebuild.sh, line   49:  Called src_unpack
 * environment, line 2670:  Called epatch '/usr/portage/local/layman/desktop-eff
 * environment, line 1462:  Called die
 * The specific snippet of code:
 * die "Cannot find $EPATCH_SOURCE!";
 * The die message:
 * Cannot find $EPATCH_SOURCE!
 *
 * If you need support, post the topmost build error, and the call stack if rele
 * A complete build log is located at '/var/tmp/portage/x11-wm/compiz-0.7.6-r1/t
 * The ebuild environment file is located at '/var/tmp/portage/x11-wm/compiz-0.7
 *

>>> Failed to emerge x11-wm/compiz-0.7.6-r1, Log file:

>>>  '/var/tmp/portage/x11-wm/compiz-0.7.6-r1/temp/build.log'



* Messages for package x11-wm/compiz-0.7.6-r1:

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 * /usr/portage/local/layman/desktop-effects/x11-wm/compiz/files/compiz-drop-xcb
 * ( compiz-drop-xcb.patch )
 *
 * ERROR: x11-wm/compiz-0.7.6-r1 failed.
 * Call stack:
 * ebuild.sh, line   49:  Called src_unpack
 * environment, line 2670:  Called epatch '/usr/portage/local/layman/desktop-eff
 * environment, line 1462:  Called die
 * The specific snippet of code:
 * die "Cannot find $EPATCH_SOURCE!";
 * The die message:
 * Cannot find $EPATCH_SOURCE!
 *
 * If you need support, post the topmost build error, and the call stack if rele
 * A complete build log is located at '/var/tmp/portage/x11-wm/compiz-0.7.6-r1/t
 * The ebuild environment file is located at '/var/tmp/portage/x11-wm/compiz-0.7
 *

 * GNU info directory index is up-to-date.




What can I do?
Back to top
View user's profile Send private message
albright
Advocate
Advocate


Joined: 16 Nov 2003
Posts: 2549
Location: Near Toronto

PostPosted: Mon Sep 29, 2008 3:55 pm    Post subject: Reply with quote

I don't think there is a compiz-0.7.6xx

eix shows me:

Code:
[I] x11-wm/compiz
     Available versions:  (~)0.5.0 (~)0.5.2 (~)0.6.2 (~)0.6.2-r1 (~)0.7.8!m[1] (**)9999[1] {annotate dbus debug fuse gnome gtk kde kde4 svg}
     Installed versions:  9999[1](10:45:01 09/28/08)(dbus gnome gtk kde svg -annotate -fuse -kde4)
     Homepage:            http://www.compiz.org/
     Description:         3D composite- and windowmanager


perhaps resync desktop-effects overlay ... ?
_________________
.... there is nothing - absolutely nothing - half so much worth
doing as simply messing about with Linux ...
(apologies to Kenneth Graeme)
Back to top
View user's profile Send private message
dman777
l33t
l33t


Joined: 10 Jan 2007
Posts: 982

PostPosted: Mon Sep 29, 2008 4:03 pm    Post subject: Reply with quote

I eix-sync and i also updated all my layman overlays. with "eix compiz-fusion", it does show a compiz-fusion 0.7.6(with no r1) in desktop effects.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Sep 29, 2008 4:07 pm    Post subject: Reply with quote

dman777 wrote:
I eix-sync and i also updated all my layman overlays. with "eix compiz-fusion", it does show a compiz-fusion 0.7.6(with no r1) in desktop effects.

Then try deleting and re-adding the overlay, as there really is no 0.7.6 in there.

EDIT: they indeed got re-added to support EAPI=1, 2 hours ago, so seems the patches are missing.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
dman777
l33t
l33t


Joined: 10 Jan 2007
Posts: 982

PostPosted: Mon Sep 29, 2008 4:21 pm    Post subject: Reply with quote

man, that is relief. i thought i was loosening my head and i also really need the 0.7.6 as 0.7.8 requires to many to many unstable masked packages. so how i do let the maintainers of desktop-effects know about this?
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Sep 29, 2008 7:26 pm    Post subject: Reply with quote

Well, there is a thread for the overlay: https://forums.gentoo.org/viewtopic-t-652604.html
Maybe ask there.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum